package objekti;
import java.lang.Math;
public class Kota {
	private double x;
	private double y;
	private double visina;
	
	public double getX() {
		return x;
	}
	public double getY() {
		return y;
	}
	public double getVisina() {
		return visina;
	}
	
	public Kota(double kordX,double kordY,double nadV)
	{
		this.x=kordX;
		this.y=kordY;
		this.visina=nadV;
	}
	
	public boolean equals(Kota k,double preciznost)
	{
		if(this.x - k.x < preciznost && this.y - k.y < preciznost)
			return true;
		return false;
	}
	
	public boolean equals(Kota k)
	{
		if(this.x - k.x < 0.1 && this.y - k.y < 0.1)
			return true;
		return false;
	}
	
	public String toString()
	{
		return this.x+", "+this.y+", "+this.visina;
	}
	
	public double rastojanje(Kota k)
	{	
		return Math.sqrt((this.x-k.x)*(this.x-k.x)+(this.y-k.y)*(this.y-k.y));		
	}
}
