package objekti;

public abstract class Put {
	protected Nizkota nizKota;
	public String naziv;
	
	public String getNaziv() {
		return naziv;
	}
	public void setNaziv(String naziv) {
		this.naziv = naziv;
	}
	
	public Put(String naziv)
	{
		this.naziv = naziv;
	}
	
	public double duzinaPuta(Kota a,Kota b)
	{
		if(a!= null && b!=null)
			return a.rastojanje(b);
		return -1;
	}
	
	public abstract double procenjenoVremePutovanja(Kota a,Kota b);
	public abstract void dodajKotu(Kota k);
	
	public String toString()
	{
		String podaciOKotama=" ";
		for(int i=0;i<nizKota.getPopunjeno();i++)
		{
			podaciOKotama = "["+nizKota.dajkotu(i)+"]";
		}
		return this.naziv + podaciOKotama;
		
	}
}
