package oop.kolokvijum2013.karta.objekti;

public abstract class Slozen extends Objekat implements Merljivo
{

	public Slozen(String naziv, String id, Kota kota) 
	{
		super(naziv, id, kota);
	}
	
	public abstract void dodajKotu(double x, double y, double visina);
	
	public double duzinaPuta(VezanaKota k1, VezanaKota k2)
	{
		VezanaKota pom = k1;
		int pom1 = 0;
		while(pom.getDesno()!=null)
		{
			if(pom.equals(this)||pom.equals(k2))
				pom1++;
		}
		if(pom1 == 2)
		{
			pom = k1;
			double pom2 = 0.0;
			while(pom.getDesno()!=null)
			{
				pom2+=VezanaKota.rastojanje(pom, pom.getDesno());
				pom=pom.getDesno();
			}
			return pom2;
		}
		return 0.0;
	}
}
