
public class VezanaKota extends Kota {

	private VezanaKota levo;
	private VezanaKota desno;
	
	public VezanaKota(double x, double y, double visina)
	{
		super(x,y,visina);
	}

	public VezanaKota getLevo() {
		return levo;
	}

	public void setLevo(VezanaKota levo) {
		this.levo = levo;
	}

	public VezanaKota getDesno() {
		return desno;
	}

	public void setDesno(VezanaKota desno) {
		this.desno = desno;
	}
	
	public double rastojanje(Kota k)
	{
		VezanaKota pomocna=desno.getDesno();
		double rast=this.desno.rastojanje(k);
		while(pomocna!=null) { if (pomocna.rastojanje(k)<rast) rast=pomocna.rastojanje(k);
			 					pomocna=pomocna.getDesno();
		                     }
		return rast;
	}
	
	public String toString()
	{
		VezanaKota pom=desno;
		String s=null;
		while(pom!=null)
		{
			s+=pom.toString();
			pom=pom.desno;
		}
		return s;
	}
	
}
