package oop.kolokvijum2013.karta.objekti;

public class PlovnaReka extends Reka implements Prohodan {
	private final double UZVODNO = 10.0;
	private final double NIZVODNO = 20.0;

	public PlovnaReka(String naziv) {
		super(naziv);
	}

	public PlovnaReka(String naziv, VezanaKota k) {
		super(naziv, k);
	}

	public double procenjenoVremePutovanja(Kota pocetak, Kota kraj) {
		double indicate = -1;
		if (duzinaPuta(pocetak, kraj) != -1) {
			indicate = duzinaPuta(pocetak, kraj) / NIZVODNO;
		}
		else if (duzinaPuta(kraj, pocetak) != -1) {
			indicate = duzinaPuta(kraj, pocetak) / UZVODNO;
		}
		return indicate;
	}
}