package oop.kolokvijum2013.karta.objekti;

public class VezanaKota extends Kota {
	private VezanaKota levo, desno;
	
	
	
	public VezanaKota(double x, double y, double visina) {
		super(x, y, visina);
	}

	public double rastojanje(Kota kota){
		VezanaKota pomocni = this;
		double min = Kota.rastojanje(pomocni, kota);

		while(pomocni != null){
			if(Kota.rastojanje(kota, desno) < min) min = Kota.rastojanje(kota, desno);
			pomocni = (VezanaKota) pomocni.getDesno();
		}
		
		return min;
		
		
	}


	//GET I SET
	public VezanaKota getLevo() {
		return levo;
	}

	public void setLevo(VezanaKota levo) {
		this.levo = levo;
	}

	public VezanaKota getDesno() {
		return desno;
	}

	public void setDesno(VezanaKota desno) {
		this.desno = desno;
	}
	
	
	
	

	
	

}
