
public class Drum extends Put{
	
private final double AUTOPUT;
private final double MAGISTRALNI;
private final double ZEMLJANI;
private char kategorija;

public Drum(String naziv,char kategorija){
	super(naziv);
	this.AUTOPUT=120;
	this.MAGISTRALNI=60;
	this.ZEMLJANI=30;
	this.kategorija=kategorija;
}

public void dodajKotu(double x,double y,double visina){
	Kota k1=new Kota(x, y, visina);
	nizKota.dodajNaKraj(k1);

}

public char getKategorija() {
	return kategorija;
}

public void setKategorija(char kategorija) {
	this.kategorija = kategorija;
}

public double procenjenoVremePutovanja(Kota a, Kota b) {
	
	double vreme;
	if(this.getKategorija()=='A'){
		vreme=a.rastojanje(b)/120;
	}
	else if(this.getKategorija()=='M'){
		vreme=a.rastojanje(b)/60;
	}
	else{
		vreme=a.rastojanje(b)/30;
	}
	return vreme;
}

public String toString(){
	StringBuffer izlaz=new StringBuffer();
	izlaz.append("drum:");
	
	izlaz.append(this.getNaziv());
	izlaz.append(nizKota);
	
	return izlaz.toString();
}
}