
public abstract class Put {

	protected NizKota nizKota=new NizKota(100);
	private String naziv;
	
	public String getNaziv() {
		return naziv;
	}
	public void setNaziv(String naziv) {
		this.naziv = naziv;
	}
	public Put(String naziv){
		this.naziv=naziv;
	}
	
	public double duzinaPuta(Kota k1,Kota k2){
		double rast=0.0;
		
		if((nizKota.sadrzi(k1)==false) || (nizKota.sadrzi(k2)==false)){
				rast= -1;
			}
		else{
				rast=k1.rastojanje(k2);
			}
		
		return rast;
	}
	
	public abstract double procenjenoVremePutovanja(Kota a,Kota b);

	
	public abstract void dodajKotu(double x,double y,double visina);
		
	
	public String toString(){
		StringBuffer izlaz=new StringBuffer();
		izlaz.append(this.naziv);
		izlaz.append(nizKota);
		return izlaz.toString();
	}
	
}
