package oop.kolokvijum2013.karta.objekti;

public class VezanaKota extends Kota 
{
	private Kota levo = null, desno = null;
	
	public VezanaKota(double x, double y, double v)
	{
		super(x, y, v);
	}

	public Kota getLevo() {
		return levo;
	}

	public void setLevo(Kota levo) {
		this.levo = levo;
	}

	public Kota getDesno() {
		return desno;
	}

	public void setDesno(Kota desno) {
		this.desno = desno;
	}
	
	public double rastojanje(Kota k)
	{
		double r = rastojanje(this, k);
		VezanaKota vk = (VezanaKota)levo;
		while (vk != null)
		{
			if (r > rastojanje(vk, k))
				r = rastojanje(vk, k);
			vk = (VezanaKota)vk.levo;
		}
		vk = (VezanaKota)this.desno;
		while (vk != null)
		{
			if (r > rastojanje(vk, k))
				r = rastojanje(vk, k);
			vk = (VezanaKota)vk.desno;
		}
		return r;
	}
	
	public String toString()
	{
		VezanaKota k = this;
		String s = "";
		
		while (k != null)
		{
			s += "(" + k.getX() + ", " + k.getY() + ", " + k.getVisina() + ") ";
			k = (VezanaKota)k.desno;
		}
		return s;
	}
}
