package oop.kolokvijum2013.karta.objekti;

public class Kota {
	private double x;
	private double y;
	private double visina;
	
	public Kota(double x, double y, double visina) {
		super();
		this.x = x;
		this.y = y;
		this.visina = visina;
	}
	
	public boolean equals(Kota kota, double preciznost){
		if(Math.abs(x-kota.x)<preciznost && Math.abs(y-kota.y)<preciznost) return true;		
		return false;
	}
	
	public boolean equals(Kota kota){
		return this.equals(kota, 0.1);
	}
	
	public String toString(){
		return "("+x+", "+y+", "+visina+")";
	}
	
	public static double rastojanje(Kota k1,Kota k2){
		return Math.sqrt(Math.pow(k1.x-k2.x, 2) + Math.pow(k1.y-k2.y, 2));
	}
	
	public double rastojanje(Kota k){
		if(k instanceof VezanaKota) ;
		return Kota.rastojanje(this, k);
	}

	public double getVisina() {
		return visina;
	}
	
	
	
}
