package oop.kolokvijum2013.karta.objekti;

public class Reka extends Slozen {
	private static int brReka;

	public Reka(String naziv) {
		super(naziv, "R"+(++brReka), null);
	}
	
	public Reka(String naziv,VezanaKota vk) {
		super(naziv, "R"+(++brReka), vk);
	}

	@Override
	public void dodajKotu(double x, double y, double visina) {
		VezanaKota vk=(VezanaKota)this.getKota();
		if(vk==null){
			vk=new VezanaKota(x, y, visina);
			this.setKota((Kota)vk);
		}
		else{
			VezanaKota pom1=vk;
			VezanaKota pom2=(VezanaKota)pom1.getDesno();
			while(pom2!=null && pom2.getVisina()<visina){
				pom1=pom2;
				pom2=(VezanaKota) pom2.getDesno();
			}
			VezanaKota nova=new VezanaKota(x, y, visina);
			nova.setLevo(pom1);
			pom1.setDesno(nova);
		}
	}

}
