package oop.kolokvijum2013.karta.objekti;

public abstract class Slozen extends Objekat implements Merljivo {

	public Slozen(String naziv, String id, Kota kota) {
		super(naziv, id, kota);
	}
	
	public abstract void dodajKotu(double x,double y,double visina);

	@Override
	public double duzinaPuta(Kota k1, Kota k2) {
		int pripadaju=0;
		int levo=1;
		Kota pom=this.getKota();
		pom=((VezanaKota)pom).getLevo();
		while(pom!=null){
			if(pom.equals(k1, 0)) pripadaju++;
			if(pom.equals(k2, 0)) pripadaju++;
			pom=((VezanaKota)pom).getLevo();
		}
		pom=this.getKota();
		pom=((VezanaKota)pom).getDesno();
		while(pom!=null){
			if(pom.equals(k1, 0)) { pripadaju++; levo=0;}
			if(pom.equals(k2, 0)) pripadaju++;
			pom=((VezanaKota)pom).getDesno();
		}
		double rastojanje=0;
		if(pripadaju==2){
			Kota pom1=k1;
			if(levo==1){
				Kota pom2=((VezanaKota)pom1).getDesno();
				while(pom2!=((VezanaKota)k2).getDesno()){
					rastojanje+=Kota.rastojanje(pom1, pom2);
					pom1=pom2;
					pom2=((VezanaKota)pom2).getDesno();
				}
			}
			else{
					Kota pom2=((VezanaKota)pom1).getLevo();
					while(pom2!=((VezanaKota)k2).getLevo()){
						rastojanje+=Kota.rastojanje(pom1, pom2);
						pom1=pom2;
						pom2=((VezanaKota)pom2).getLevo();
					}
			}
		}
		
		return rastojanje;
	}

}
