package oop.kolokvijum2013.karta.objekat;

public class Drum extends Slozen implements Prohodan {
	char kategorija;//A-auto-put;M-magristalni;Z-zemljani
	private final double AUTOPUT=120.0;
	private final double MAGISTRALNI=60.0;
	private final double ZEMLJANI=30.0;
	
	private int brojac;//brojac drumova
	
	public Drum(String naziv, char k)
		{super(naziv, "D", null); kategorija=k;}
	
	public Drum(String naziv, char k, VezanaKota ko)
		{super(naziv, "D", ko); kategorija=k;}
	
	
	
	@Override
	public double procenjenoVremePutovanja(Kota k1, Kota k2) {
		double d = this.duzinaPuta(k1, k2); 
		if(d!=0)
			if(kategorija=='A')return d/AUTOPUT;
			else if(kategorija=='M')return d/MAGISTRALNI;
			else return d/ZEMLJANI;
		return 0;
	}

	@Override
	public void dodajKotu(double x, double y, double v) {
		VezanaKota p = new VezanaKota(x, y, v);
		VezanaKota k = (VezanaKota)this.getKota();
		if(k.getLevo()!=null)
		{
			VezanaKota pom = k;
			while(pom.getDesno()!=null)pom=pom.getDesno();
			pom.setDesno(p);
		}
		else k=p;
	}

}
