package oop.kolokvijum2013.karta.objekat;

public class VezanaKota extends Kota {
	VezanaKota levo;
	VezanaKota desno;
	
	
	public VezanaKota(double x, double y, double visina) {
		super(x, y, visina);
	}

	public VezanaKota getLevo() {return levo;}

	public void setLevo(VezanaKota levo) {this.levo = levo;}

	public VezanaKota getDesno() {return desno;}

	public void setDesno(VezanaKota desno) {this.desno = desno;}
	
	public double rastojanje(Kota k)
	{
		double min=Rastojanje(this,k);
		VezanaKota pom=null;
		pom=this.desno;
		while(pom!=null)
		{
			double r=Rastojanje(pom,k);
			if(r<min)min=r;
			pom=pom.getDesno();
		}
		return min;
	}

}
