package oop.kolokvijum2013.karta.objekti;

public class Drum extends Slozen implements Prohodan {

	private char kategorija;
	private static double  AUTOPUT=120.0;
	private static double  MAGISTRALNI=60.0;
	private static double  ZEMLJANI=30.0;
	private static int brojac=1;
	
	
	public Drum(String naziv, char kategorija, VezanaKota k)
	{
		super(naziv,"D"+brojac,k);
		brojac++;
		this.kategorija=kategorija;
	}
	public Drum(String naziv,char kategorija)
	{
		this(naziv,kategorija,null);	
	}
	
	
	
	
	
	@Override
	public double procenjenoVremePutovanja(Kota a, Kota b) {
		/*VezanaKota pom=(VezanaKota) a;
		double s=0.0;
		while(pom!=b && pom!=null)
		{
			pom=pom.getDesno();
		}
		if(pom==b)
		{
			pom=(VezanaKota)a;
			while(pom!=b)
			{
				s+=Kota.rastojanje(pom, pom.getDesno());
				pom=pom.getDesno();
			}
		}
		else
		{
			pom=(VezanaKota)a;
			while(pom!=b && pom!=null)
			{
				pom=pom.getLevo();
			}
			if(pom==b){
			pom=(VezanaKota)a;
			while(pom!=b)
			{
				s+=Kota.rastojanje(pom, pom.getLevo());
				pom=pom.getLevo();
			}
		}
		}*/
		double s=this.duzinaPuta(a, b);
	if(kategorija=='A') return s/AUTOPUT;
	if(kategorija=='M') return s/MAGISTRALNI;
	if(kategorija=='Z') return s/ZEMLJANI;
	return 0.0;
	}

	@Override
	public void dodajKotu(double x, double y, double visina) {
		VezanaKota k=new VezanaKota(x, y, visina);
		if (super.getKota()==null) super.setKota(k);
		else 
			{
			VezanaKota pom=(VezanaKota)super.getKota();
			while(pom.getDesno()!=null) pom=pom.getDesno();
			pom.setDesno(k);	
			}
	}
	
	
	
	

}
