package oop.kolokvijum2013.karta.objekti;

public class Kota {
	private double x;
	private double y;
	private double visina;
	
	public Kota(double x, double y, double visina) {
		this.x = x;
		this.y = y;
		this.visina = visina;
	}
	
	public boolean equals(Kota k,double preciznost){
		double razlika = Math.sqrt((this.x - k.x)*(this.x - k.x) + (this.y-k.y)*(this.y-k.y));
		if(razlika < preciznost) return true;
		return false;
	}
	
	public boolean equals(Kota k){
		if(this.equals(k, 0.1)) return true;
		return false;
	}
	
	public String toString(){
		return "(" + getX() + ", " + getY() + ", " + getVisina() + ")";
	}
	
	public static double rastojanje(Kota k1, Kota k2){
		double razlika = Math.sqrt((k1.x - k2.x)*(k1.x - k2.x) + (k1.y-k2.y)*(k1.y-k2.y));
		return razlika;
	}
	
	public double rastojanje(Kota k){
		double razlika;
		if(k instanceof VezanaKota){
			razlika = ((VezanaKota)k).rastojanje(this);
			return razlika;
		}
		else razlika = Kota.rastojanje(this, k);
		return razlika;
	}
	

	public double getX() {
		return x;
	}

	public void setX(double x) {
		this.x = x;
	}

	public double getY() {
		return y;
	}

	public void setY(double y) {
		this.y = y;
	}

	public double getVisina() {
		return visina;
	}

	public void setVisina(double visina) {
		this.visina = visina;
	}
	
	
}
