
public class VezanaKota extends Kota{
	
	private VezanaKota levo;
	private VezanaKota desno;
	
	public VezanaKota(double x, double y, double visina, VezanaKota levo, VezanaKota desno) {
		super(x, y, visina);
		this.levo = levo;
		this.desno = desno;
	}

	public VezanaKota getLevo() {
		return levo;
	}

	public void setLevo(VezanaKota levo) {
		this.levo = levo;
	}

	public VezanaKota getDesno() {
		return desno;
	}

	public void setDesno(VezanaKota desno) {
		this.desno = desno;
	}

	public double rastojanje(Kota k){
		VezanaKota pom=this;
		double udaljenost=0, u=0;
		while(pom!=null){
			u=k.rastojanje(pom,k);
			if(udaljenost==0 || udaljenost>u){
				udaljenost=u;
			}
			pom=pom.getDesno();
		}
		pom=this;
		while(pom!=null){
			u=k.rastojanje(pom,k);
			if(udaljenost==0 || udaljenost>u){
				udaljenost=u;
			}
			pom=pom.getLevo();
		}
		if(udaljenost==0){
			udaljenost=k.rastojanje(this,k);
		}
		return udaljenost;
	}

	@Override
	public String toString() {
		VezanaKota pom=this;
		String s=null;
		if(pom!=null) {
			s=pom.toString();
			pom=pom.desno;
			s=s + pom.toString()+" -> ";
		} 
		return s;
	}

	
	
	
	
	
	

}
