package oop.kolokvijum2013.karta.objekti;

import java.util.Arrays;

public class NizKota {

	private Kota nizkota[]= new Kota[5];
	private int popunjeno;
	
	public NizKota(int broj){
		nizkota=new Kota[broj];
		popunjeno=broj;
	}

	public void dodajNaKraj(Kota kota){
		for (int i = 0; i < nizkota.length; i++) {
			if (nizkota[i]==null) {
				nizkota[i]=kota;
				break;
			}
		}
	}
	
	
	
	public Kota[] getNizkota() {
		return nizkota;
	}

	public void setNizkota(Kota[] nizkota) {
		this.nizkota = nizkota;
	}

	public void dodajNaMesto(Kota kota, int index){
		for (int i = 0; i < popunjeno; i++) {
			if(index==i){
	//			popunjeno++;
				nizkota[i]=kota;
			}
		}
	}
	
	public boolean sadrzi(Kota kota){
		for (int i = 0; i < popunjeno; i++) {
			if(nizkota[i]!=null && nizkota[i].equals(kota))
				return true;
		}
		return false;
	}
	
	public Kota dajKotu(int index){
		for (int i = 0; i < popunjeno; i++) {
			if(index==i)
				return nizkota[i];
		}
		return null;
	}

	public int getPopunjeno() {
		return popunjeno;
	}
	

	@Override
	public String toString() {
//	System.out.println(Arrays.toString(nizkota));	
		return "NizKota [nizkota=" + Arrays.toString(nizkota) + ", popunjeno="
				+ popunjeno + ", toString()=" + super.toString() + "]";
	}
}
