package oop.kolokvijum2013.karta.objekti;

public abstract class Put {
	Kota[] NizKota;
	private String naziv;
	public String getNaziv() {
		return naziv;
	}
	public void setNaziv(String naziv) {
		this.naziv = naziv;
	}
	public Put(String naziv) {
		super();
		this.naziv = naziv;
	}
	
	public double duzinaPuta(Kota a, Kota b){
		if(a==null && b==null)
			return a.rastojanje(b);
		return -1;
	}
	
	public abstract double procenjenoVremePutovanja(Kota a,Kota b);
	public abstract void dodajKotu(double x, double y, double v);
	
	public String toString(){
		 String s = this.naziv;
		 for(int i=0;i<NizKota.length;i++){
			 s=s+"[ "+NizKota[i]+"]";
		 }
		 return s;
	}
	public Kota[] getNizKota() {
		return NizKota;
	}
	public void setNizKota(Kota[] nizKota) {
		NizKota = nizKota;
	}
	
}
