package oop.kolokvijum2013.karta.objekti;

public class Drum extends Slozen implements Prohodan{
	
	private char kategorija;// A, M, Z
	private final double AUTOPUT = 120.0;
	private final double MAGISTRALNI = 60.0;
	private final double ZEMLJANI = 30.0;
	static int rbr=0;
	
	private int brojacDrumova;
	public char getKategorija() {
		return kategorija;
	}

	public void setKategorija(char kategorija) {
		this.kategorija = kategorija;
	}

	public Drum(String naziv,char kategorija)
	{
		super(naziv,"D"+rbr,null);
		this.setKategorija(kategorija);
		rbr++;
	}
	
	public Drum(String naziv,char kategorija,VezanaKota k)
	{
		super(naziv,"D"+rbr,k);
		rbr++;
	}
	
	public void dodajKotu(double x,double y,double visina)
	{
		VezanaKota prva=(VezanaKota)super.getKota();
		if(prva==null) 
		{
			VezanaKota novi=new VezanaKota(x, y, visina);
			setKota(novi);
		}
		else
		{
			VezanaKota novi=new VezanaKota(x, y, visina);
			while(prva.getDesno()!=null) prva=prva.getDesno();
			prva.setDesno(novi);
		}
	 }
	
	public double procenjenoVremePutovanja(Kota k1,Kota k2)
	{
		double put=duzinaPuta(k1, k2);
		if(this.getKategorija()=='A') return put/AUTOPUT;
		else if(this.getKategorija()=='M') return put/MAGISTRALNI;
		else return put/ZEMLJANI;
	}
	

}

















