package oop.kolokvijum2013.karta.objekti;

public class NizKota {
	private Kota[] niz;
	private int popunjeno;
	
	public NizKota(int brElem){
		this.niz = new Kota[brElem];   
	}
	
	public void dodajNaKraj(Kota k){
		this.niz[popunjeno+1] = k;
	}
	
	public void dodajNaMesto(Kota k, int mesto){
		this.niz[mesto] = k;
	}
	
	public boolean sadrzi(Kota k){
		for (int i = 0; i < this.niz.length; i++) {
			if(k.equals(this.niz[i])) return true;
		}
		return false;
	}
	
	public Kota dajKotu(int index){
		return this.niz[index];
	}

	public int getPopunjeno() {
		return popunjeno;
	}
	
	public String toString(){
		for (int i = 0; i < this.niz.length; i++) {
			System.out.println("("+this.niz[i].getX()+","+this.niz[i].getY+","+this.niz[i].getVisina()+")");
		}
		
	}
}
