
public class Kota {

	private double x;
	private double y;
	private double visina;
	
	public double getX() {
		return x;
	}
	public double getY() {
		return y;
	}
	public double getVisina() {
		return visina;
	}
	
	public Kota(double x, double y, double visina)
	{
		this.x=x;
		this.y=y;
		this.visina=visina;
	}
	
	public boolean equals(Kota k, double preciznost)
	{
		if (((Math.abs(this.getX()-k.getX()))<preciznost)&&((Math.abs(this.getY()-k.getY()))<preciznost)) return true;
		else return false;
	}
	
	public boolean equals(Kota k)
	{
		return this.equals(k,0.1);
	}
	
	public String toString()
	{
		return "("+this.x+","+this.y+","+this.visina+")";
	}
	
	public double rastojanje(Kota k1, Kota k2)
	{
		double a=Math.pow(2,k1.getX()-k2.getX());
		double b=Math.pow(2,k1.getX()-k2.getY());
		return Math.sqrt(a+b);
		
	}
	public double rastojanje(Kota k)
	{
		double r=0.0;
		if (k instanceof VezanaKota) r=k.rastojanje(this);
		else r=this.rastojanje(this,k);
		return r;
    }
}
