
public abstract class Objekat {

	private String naziv;
	private String id;
	private Kota kota;
	
	protected void setKota(Kota kota) {
		this.kota = kota;
	}

	public Kota getKota() {
		return kota;
	}

	public String getNaziv() {
		return naziv;
	}
	
	public Objekat(String naziv, String id, Kota kota)
	{
		this.naziv=naziv;
		this.id=id;
	    setKota(kota);
	}
	
	public double udaljenost(Objekat o)
	{
		return this.kota.rastojanje(o.getKota());
	}
	
	public String toString()
	{
		return naziv+kota.toString();
	}
	
}
