
public class Reka extends Put{

	private final double UZVODNO;
	private final double NIZVODNO;
	
	private char kategorija; //da bi se znalo da li je U ili N
	
	public char getKategorija() {
		return kategorija;
	}
	public Reka(String naziv){
		super(naziv);
		this.UZVODNO=10;
		this.NIZVODNO=20;
	}

	
	public double procenjenoVremePutovanja(Kota a, Kota b) {
		double vreme;
		if(this.getKategorija()=='U'){
			vreme=a.rastojanje(b)/10;
		}
		else{
			vreme=a.rastojanje(b)/20;
		}
	
		return vreme;
	}

	@Override
	public void dodajKotu(double x, double y, double visina) {
		Kota k1=new Kota(x, y, visina);
		
		nizKota.dodajNaKraj(k1);
		
	}
	public String toString(){
		StringBuffer izlaz=new StringBuffer();
		izlaz.append("reka:");
		izlaz.append(this.getNaziv());
		izlaz.append(nizKota);
		
		return izlaz.toString();
	}
	
}
