package oop.kolokvijum2013.karta.objekti;

public abstract class Objekat 
{
	private String naziv, id;
	private Kota kota;
	
	public String getNaziv() 
	{
		return naziv;
	}
	
	public Kota getKota() 
	{
		return kota;
	}

	protected void setKota(Kota kota) 
	{
		this.kota = kota;
	}
	
	public Objekat(String naziv, String id, Kota k)
	{
		this.naziv = naziv;
		this.id = id;
		kota = k;
	}
	
	public double udaljenost(Objekat o)
	{
		return Kota.rastojanje(this.kota, o.kota);
	}
	
	public String toString()
	{
		return naziv + " " + kota;
	}
}
