package oop.kolokvijum2013.karta.objekti;

public class PlovnaReka extends Reka implements Prohodan {
	private final double UZVODNO=10.0;
	private final double NIZVODNO=20.0;

	public PlovnaReka(String naziv) {
		super(naziv);
	}

	public PlovnaReka(String naziv, VezanaKota vk) {
		super(naziv, vk);
	}

	@Override
	public double procenjenoVremePutovanja(Kota k1, Kota k2) {
		double smer=0;
		double duzina=super.duzinaPuta(k1, k2);
		if(duzina!=0){
			smer=k1.getVisina()-k2.getVisina();
			if(smer >=0){
				return duzina/UZVODNO;
			}
			else{
				return duzina/NIZVODNO;
			}
		}
		return 0;
	}

}
