package oop.kolokvijum2013.karta.objekti;

public class VezanaKota extends Kota {
	private Kota levo;
	private Kota desno;
	
	public VezanaKota(double x, double y, double visina) {
		super(x, y, visina);
	}

	public Kota getLevo() {
		return levo;
	}

	public void setLevo(Kota levo) {
		this.levo = levo;
	}

	public Kota getDesno() {
		return desno;
	}

	public void setDesno(Kota desno) {
		this.desno = desno;
	}
	
	public double rastojanje(Kota k){
		double min=Kota.rastojanje(this, k);
		Kota pom=this.desno;
		while(pom!=null){
			if(min>Kota.rastojanje(pom, k)) min=Kota.rastojanje(pom, k);
			pom=((VezanaKota)pom).getDesno();
		}
		pom=this.levo;
		while(pom!=null){
			if(min>Kota.rastojanje(pom, k)) min=Kota.rastojanje(pom, k);
			pom=((VezanaKota)pom).getLevo();
		}
		
		return min;
	}
	
	public String toString(){
		String str=super.toString();
		VezanaKota pom=(VezanaKota)desno;
		while(pom!=null){
			pom=(VezanaKota)pom.getDesno();
			str+=super.toString();
		}
		return str;
	}
	
	
}
