package oop.kolokvijum2013.karta.objekti;

public class Reka extends Put {
	
	final double UZVODNO = 10.0;
	final double NIZVODNO = 20.0;
	
	public Reka (String naziv)
	{
		super(naziv);
	}
	
	public void dodajKotu(double x, double y, double visina)
	{
		Kota k= new Kota(x,y,visina);
		for(int i=0; i< Niz.getPopunjeno(); i++)
		{
			if(k.getVisina() < Niz.dajKotu(i).getVisina())	//dal je manja od trenutne
			{
				if(k.getVisina() > Niz.dajKotu(i++).getVisina()) // dal je veca od naredne
					Niz.dodajNaMesto(k, i);							
			}
		}		
	}
	
	public double procenjenoVremePutovanja(Kota a, Kota b)
	{
		if(Niz.sadrzi(a) && Niz.sadrzi(b))
		{
			if(a.getVisina() > b.getVisina())
				return a.rastojanje(b)*UZVODNO;
			else
				return a.rastojanje(b)*NIZVODNO;		
		}
		return -1;
	}
	
	
	public String toString()
	{
		return "Reka"+super.toString();
	}

}
