package oop.kolokvijum2013.karta.objekti;

public class Drum extends Slozen implements Prohodan{
	private char kategorija;
	private final double AUTOPUT=120.0;
	private final double MAGISTRALNI=60.0;
	private final double ZEMLJANI=30.0;
	private static int brojac=1;
	
	public Drum(String naziv,char k) {
		super(naziv, "D"+brojac,null );
		this.kategorija=k;
		brojac++;
	}
	
	public Drum(String naziv,char ka,Kota k) {
		super(naziv, "D"+brojac, k);
		brojac++;
		this.kategorija=ka;
	}
	
	public void dodajKotu(double x,double y,double visina) {
		VezanaKota k=new VezanaKota(x, y, visina);
		if (this.getKota()==null) this.setKota(k);
		else {
			VezanaKota k1=(VezanaKota) this.getKota();
			while(k1.getDesno()!=null) k1=k1.getDesno();
			k1.setDesno(k);
		}
	}
	
	public double procenjenoVremePutovanja(Kota k1,Kota k2) {
		double p=this.duzinaPuta(k1, k2);
		if(kategorija=='A') return (p/AUTOPUT);
		else if(kategorija=='M') return (p/MAGISTRALNI);
		else if(kategorija=='Z') return (p/ZEMLJANI);
		return p;
	}
	
	
	
	
	
	
	

}
