package oop.kolokvijum2013.karta.objekti;

public class Kota {
	private double x,y,visina;

	public double getX() {
		return x;
	}

	public double getY() {
		return y;
	}

	public double getVisina() {
		return visina;
	}
	
	public Kota(double x,double y,double visina) {
		this.x=x;
		this.y=y;
		this.visina=visina;
	}
	
	public boolean equals(Kota k,double preciznost) {
		if(this.x-k.x<preciznost)
			if(this.y-k.y<preciznost)
				return true;
		return false;
	}
	
	public boolean equals(Kota k) {
		return this.equals(k, 0.1);
	}
	
	public static double rastojanje(Kota a,Kota b) {
		return Math.sqrt((a.x-b.x)*(a.x-b.x)+(a.y-b.y)*(a.y-b.y));
	}
	
	public double rastojanje(Kota a) {
		if(a instanceof VezanaKota) return ((VezanaKota)a).rastojanje(this);
		else return Kota.rastojanje(this, a);
	}

	@Override
	public String toString() {
		return "[ "+ x + ", " + y + ", " + visina + " ]";
	}
	
	
	

}
