package oop.kolokvijum2013.karta.objekti;

public class VezanaKota extends Kota{
	private VezanaKota levo;
	private VezanaKota desno;
	
	public VezanaKota getLevo() {
		return levo;
	}

	public void setLevo(VezanaKota levo) {
		this.levo = levo;
	}

	public VezanaKota getDesno() {
		return desno;
	}

	public void setDesno(VezanaKota desno) {
		this.desno = desno;
	}

	public VezanaKota(double x,double y,double visina)
	{
		super(x,y,visina);
		this.levo=null;
		this.desno=null;
	}
	
	public double rastojanje(Kota k)
	{
		double rast=rastojanje(this, k);
		VezanaKota z=this.levo;
		while(z!=null) 
		{
			double r=rastojanje(z,k);
			if(rast>r) rast=r; 
			z=z.levo;
		}
		
		z=this.desno;
		while(z!=null) 
		{
			double r=rastojanje(z,k);
			if(rast>r) rast=r; 
			z=z.desno;
		}
		
		return rast;
	}
	
	public String toString()
	{
		String s="";
		s+="( "+this.getX()+" , "+this.getY()+" , "+this.getVisina()+" );\n";
		VezanaKota z=this.desno;
		while(z!=null) 
		{
			s+="( "+z.getX()+" , "+z.getY()+" , "+z.getVisina()+" );\n";
		}
		
		return s;
	}

}















