package oop.kolokvijum2013.karta.objekti;

public class Drum extends Slozen implements Prohodan {
	
	private char kategorija;
	
	private double AUTOPUT=120.0;
	private double MAGISTRALNI=60.0;
	private double ZEMLJANI=30.0;
	
	private static int brojac=1;//brojac drumova
	
	public Drum(String naziv,char kategorija){
		super(naziv,"D"+brojac,null);//kota
		this.kategorija=kategorija;
		brojac++;
	}
	
	public Drum(String naziv, char kategorija, VezanaKota kota) {
		super(naziv, "D"+brojac, kota);
		this.kategorija=kategorija;
		brojac++;
	}
	
	@Override
	public double procenjenoVremePutovanja(VezanaKota kota1, VezanaKota kota2) {
		double rastojanje=duzinaPuta(kota1,kota2);
		if(kategorija=='A') return rastojanje*AUTOPUT;
		if(kategorija=='M') return rastojanje*MAGISTRALNI;
		if(kategorija=='Z') return rastojanje*ZEMLJANI;
		return 0;
	}

	@Override
	public void dodajKotu(double x, double y, double visina) {
		VezanaKota nova=new VezanaKota(x, y, visina);
	}

	@Override
	public double duzinaPuta(VezanaKota kota1, VezanaKota kota2) {
		double rastojanje=super.duzinaPuta(kota1, kota2);
		return rastojanje;
	}

}
