package oop.kolokvijum2013.karta.objekti;

public abstract class Slozen extends Objekat implements Merljivo {

	public Slozen(String naziv, String id, Kota kota) {
		super(naziv, id, kota);
	}
	
	public abstract void dodajKotu(double x,double y,double visina);

	public double duzinaPuta(VezanaKota kota1, VezanaKota kota2) {
		double duzina=0.0;
		double rastojanje;
		while(kota1.getDesno()!=kota2){
			rastojanje=((Kota)kota1).rastojanje((Kota)kota1.getDesno());
			kota1=kota1.getDesno();
			duzina+=rastojanje;//duzina puta
		}
		return duzina;
	}

}
